/*
Theme Name: Testdig
Template: astra
*/

:root{
    --blue-main: #2D79AE;
}


i.sidebar-expand,
i.sidebar-close,
span.sidebar-expand,
span.sidebar-close{
    position:absolute;
    right: 8px;
    width: 25px;
    aspect-ratio: 1;
    font-size: 14px;
    cursor: pointer;
    top: 14px;
}

i.sidebar-expand::before,
i.sidebar-close::before,
span.sidebar-expand::before,
span.sidebar-close::before{
    content: "\f107";
    /*content: "\f067";*/
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
}

i.sidebar-close,
span.sidebar-close{
    display: none;
}

i.sidebar-close::before,
span.sidebar-close::before{
    content: "\f106";
}

.site-content{
    background-color: #f7f7f7;
}

/*  sidebar */
.custom-category-aveo{
    width: 100%;
}

.custom-category-aveo ul{
    margin: 0;
    padding-left: 0px !important;
    overflow:hidden;
}
.custom-category-aveo ul li a{
    font-size: 13px;
    padding:10px 20px 10px 15px;
    word-break: break-word;
    border-bottom: 1px solid #f0f0f0;
    display: inline-block;
    color: #555;
    width: 100% !important;
}
.custom-category-aveo ul li{
    list-style-type: none;
    line-height: 24px;
    position: relative;
}

.custom-category-aveo ul.children{
    display: none;
}

.current-cat{
    font-weight: 600;
}

li.current-cat li{
    font-weight: 400;
}

#td-sidebar-menu::-webkit-scrollbar,
#td-sidebar-menu__mobile::-webkit-scrollbar{
    width: 5px;
    background-color: #eee;
}

#td-sidebar-menu::-webkit-scrollbar-thumb,
#td-sidebar-menu__mobile::-webkit-scrollbar-thumb{
    background-color: #888;
    border: 0 solid #555555;
}

#td-sidebar-menu::-webkit-scrollbar-track,
#td-sidebar-menu__mobile::-webkit-scrollbar-track{
    -webkit-box-shadow: inset 0 0 1px rgb(0 0 0 / 30%);
    background-color: #ccc;
}

.td-review-feedback-page{
    width: 100%;
}
.td-form-group > input{
    margin-top: .5rem;
}

.td-review-feedback-header{
    margin-bottom: 1rem;
}

/* woocommerce rewrite*/

.woocommerce-Reviews .comment_container img{
    display: none;
}

.woocommerce ul.product-categories > li ul li:before{
    border-width: 0 0 0 0;
}

.woocommerce-cart-form__contents{
    background-color: #ffffff;
}

p.price{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.woocommerce-price-suffix{
    color: #7a7a7a;
}

.e-loop-add-to-cart-form-container .quantity{
    margin-right: 0 !important;
}

/*.woocommerce .star-rating, .woocommerce .comment-form-rating .stars a, .woocommerce .star-rating::before{*/
/*    color: #d3ced2 !important;*/
/*}*/


.woocommerce #reviews #comments ol.commentlist li img.avatar, .woocommerce-page #reviews #comments ol.commentlist li img.avatar{
    width: 4.5rem!important;
}

.woocommerce-js div.product p.price{

}

    /* elementor rewrite*/
.td-cart-icon .elementor-menu-cart__toggle .elementor-button{
    border: none;
}

ul.tabs.wc-tabs{
    display: flex;
}

.td-recommended-product > div{
    height: 130px;
}
.td-recommended-product > div > img{
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.td-recommended-section{
    min-width: 270px;
}

.td-ae-heading .elementor-heading-title{
    color: black !important;
    font-size: 1.1rem !important;
    margin-top: 3rem !important;
    margin-bottom: 1rem !important;
}

.ae-post-list-wrapper{
    gap: 1rem;
}


/*   products  */
.td-product-img__reduced{
    max-width: 30% !important;
}

.review :is(.comment-text){
    width: 100%;
}

/*  custom checkout  */
.td-select-field #td_customer_type_selection,
.td-select-field #td_reference_number_select,
.td-select-field #billing_jeg_handler_som{
    padding: 0 .8em;
    line-height: 1.3rem;
    height: 50px;
}

.td-custom-text-field,
.td-custom-reference-number,
.td-hidden{
    display: none;
}

#billing_jeg_handler_som_field {
    position: relative;
}

.check_out_select_pop_up {
    width: fit-content;
    height: fit-content;
    position: absolute;
    bottom: 28px;
    left: 210px;
    padding: 10px;
    border-radius: 16px 16px 16px 0;
    box-shadow: 5px 5px 5px grey;
    background-color: #2C7AAE;
    color: white;
    font-size: 10px;
    font-weight: bold;
}

/*   search   */

#td-search__wrapper{
    display: none;
    position: absolute;
    padding: 1rem 0;
}

#td-search__wrapper::-webkit-scrollbar,
#td-search-results::-webkit-scrollbar{
    width: 5px;
    background-color: #eee;
}

#td-search__wrapper::-webkit-scrollbar-thumb,
#td-search-results::-webkit-scrollbar-thumb{
    background-color: #888;
    border: 0 solid #555555;
}

#td-search__wrapper::-webkit-scrollbar-track,
#td-search-results::-webkit-scrollbar-track{
    -webkit-box-shadow: inset 0 0 1px rgb(0 0 0 / 30%);
    background-color: #ccc;
}

#td-search-results{
    max-width: 260px;
    max-height: 50vh;
    position: fixed;
    overflow-y: auto;
    background: white;
    z-index: 100;
    display: none;

}
#td-search-results ul{
    margin: 0;
    padding: 10px;

}

#td-search-results ul li{
    list-style: none;
}

#td-search-results ul li h3{
    font-size: .8rem;
}

#td-search-results ul li img{
    max-width: 75px;
}

.td-search__img{
    display: flex;
    gap: 10px;

}

.td-search__img p{
    color: black;
    font-size: .8rem;
}

.td-search__img p{
    margin-bottom: 0;
}

.td-search-results__price{
    font-weight: 500;
    font-size: .9rem;
}

/*  search mobile  */
.td-search-input-form__wrapper{
    /*display: none!important;*/
}

/*    notifier   */
input[type="submit"].cwg_popup_submit,
input[type="submit"].cwgstock_button,
button[type="button"].swal2-close{
    background-color: #2c7aae;
}

/*   spinner   */
@keyframes spinner {
    from {
        /*width: 20px;*/
        /*height: 20px;*/
        border-radius: 50%;
        background-color: black;
    }

    to {
        /*width: 20px;*/
        /*height: 20px;*/
        border: none;
        border-radius: 0;
        background-color: rgba(0 , 0, 0, 0);
        transform: rotate(590deg);
    }
}

.td-default-spinner {
    display: block;
    position: absolute;
    top: 11px;
    right: 39px;
    width: 20px;
    aspect-ratio: 1;
    animation-duration: 1.5s;
    animation-name: spinner;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

.no-tax{
    color: #5C5C5C;
}

/*   countdown*/

.order-before-text__text{
    font-size: .75rem;
}

.order-before-text{
    font-family: verdana, geneva, sans-serif;
    font-size: small;
    font-weight: 500;
}

.woocommerce-quickpay-order-transaction-data .tag.is-other{
    background: #CCCCCC;
    color: #000;
}


/*** new testdig ***/
.td-customer-type-select{
    background-color: #d8d8d8;
    border-radius: 1.5rem;
    padding: .3rem 1rem;
    font-size: .85rem;
    line-height: .5rem;
    height: 1.9rem;
    width: 7rem;
}

.td-customer-type-select.pulled{
    margin-left: -17px;
}

.td-customer-type-select:hover,
.td-customer-type-select:active,
.td-customer-type-select:focus{
    background-color: #2D79AE !important;
    color: #fff;
}

.td-customer-type-select.selected{
    border: .1rem solid #2D79AE;
    color: #2D79AE;
    background-color: #fff;
    z-index: 2;
}

.td-customer-type-select.selected:hover{
    color: #fff;
}

.td-whole-page-spinner{
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    /*transform: translate(-50%, -50%);*/
    width: 50px;
    aspect-ratio: 1;
    animation-duration: 1.5s;
    animation-name: spinner;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}
.td-spinner-wrapper{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0,0,0,.4);
    z-index: 100;
}

.td-customer-select-text{
    margin: 0;
    margin-right: .5rem;
    font-family: "Monda", sans-serif;
    color: #54595F;
    font-size: .9rem;
}

a,.page-title {
    color: #3a6ba5;
}

.ast-single-post .entry-content a{
    text-decoration: none;
}
/*** /new testdig ***/

/*   countdown   */
.order-before-container{
    /*padding: 5px;*/
    display: none;
    padding: 5px 10px;
    font-size: 10px;
    color: #fff;
    background-color: var(--blue-main);
}
.order-before-container small{
    font-size: .65rem;
    white-space: nowrap;
}

.e-con-inner > .elementor-widget__width-auto > .elementor-widget-container > .order-before-container small {
    display: none;
}
/*   /countdown   */

/*   FAQ   */
.td-faq-container{

}
.td-faq-container h2{
    font-size: 1.35rem;
    margin-top: 1rem !important;
}


.td-faq-container .td-faq-item h3{
    font-size: 1.15rem;
}

.td-faq-container .td-faq-item{
    border: 1px solid #ccc;
    cursor: pointer;
}
.td-faq-container .td-faq-item > div:nth-child(2)
{
    display: none;
}


/*   /FAQ   */

.td-single-col-content{
    width: 65% !important;
}

@media {
    .td-single-col-content{
        width: 100% !important;
    }
}

.td-single-inner-col{
    width: 90%;
}

.td-page-grid{
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-items: center;
    align-items: center;
}

img.td-page-img{
    max-width: 300px!important;
}



/*   medias  */
@media screen and (max-width: 1025px)
{
    #td-sidebar-menu{
        display: none;
    }
    .td-column-expand{
        width: 100% !important;
    }
}

@media screen and (min-width: 767px) and (max-width: 1025px)
{
    .td-tablet-hidden{
        display: none !important;
    }

}



@media screen and (min-width: 1230px)
{
    ul.tabs.wc-tabs > li{
        white-space: nowrap;
    }

}

@media screen and (min-width: 767px)
{
    .td-grid-main__mobile{
        display: none;
    }

}

@media screen and (max-width: 600px)
{
    .article-grid{
        width: 290px !important;
        font-size: .4rem !important;
    }

}

@media screen and (min-width: 1200px){
    .ast-plain-container.ast-no-sidebar #primary{
        margin-top: 0 !important;
    }
}

/* checkout shipping options display */
/*li:has(#shipping_method_0_shipmondo3):not(:has(div)) {*/
/*    display: none;*/
/*}*/

button[data-function=show-toggle] {
    width: fit-content;
    display: none;
    margin: 0;
    padding: 0;
    font-size: 1em;
    background-color: white;
    color:var(--ast-global-color-0);
}

.testdig-custom-active {
    border-top: 3px solid var(--ast-global-color-0) !important;
}

.testdig-custom-hide {
    display: none !important;
}
